PluginPackager (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.publishing
[Groovy] Class PluginPackager

    java.lang.Object
      org.codehaus.groovy.grails.plugins.publishing.PluginPackager

    class PluginPackager
    extends java.lang.Object

Packages a plugin in source or binary form.

Since:
  2.0

Field Summary
`static java.lang.Object` | `EXCLUDED_RESOURCES`
`static java.lang.Object` | `INCLUDED_RESOURCES`

Property Summary
`GrailsBuildEventListener` | `eventListener`
`BuildSettings` | `grailsSettings`
`boolean` | `hasApplicationDependencies`
`java.util.List` | `jarFiles`

Constructor Summary
`PluginPackager(BuildSettings buildSettings, java.lang.Object pluginInfo, Resource[] resourceList, java.io.File projectWorkDir, GrailsBuildEventListener eventListener, BuildSettings grailsSettings)`

Method Summary
`protected java.lang.Object` | `findIncludesAndExcludes(java.lang.Object pluginProps)`
`java.lang.Object` | `generatePluginXml(java.io.File descriptor)` Generates the plugin.xml file for the plugin descriptor
`groovy.util.AntBuilder` | `getAnt()`
`java.io.File` | `getBasedir()`
`java.io.File` | `getResourcesDir()`
`java.lang.String` | `packageBinary(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)`
`java.lang.Object` | `packagePlugin(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)`
`java.lang.String` | `packageSource(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)`
`protected void` | `runResourcesClosure(java.io.File stagingDir)` ", "*
`void` | `setAnt(groovy.util.AntBuilder ant)`
`void` | `setResourcesDir(java.io.File resourcesDir)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EXCLUDED_RESOURCES

    public static final java.lang.Object EXCLUDED_RESOURCES

### INCLUDED_RESOURCES

    public static final java.lang.Object INCLUDED_RESOURCES

Property Detail

### eventListener

    GrailsBuildEventListener eventListener

### grailsSettings

    BuildSettings grailsSettings

### hasApplicationDependencies

    boolean hasApplicationDependencies

### jarFiles

    java.util.List jarFiles

Constructor Detail

### PluginPackager

    PluginPackager(BuildSettings buildSettings, java.lang.Object pluginInfo, Resource[] resourceList, java.io.File projectWorkDir, GrailsBuildEventListener eventListener, BuildSettings grailsSettings)

Method Detail

### findIncludesAndExcludes

    protected java.lang.Object findIncludesAndExcludes(java.lang.Object pluginProps)

### generatePluginXml

    java.lang.Object generatePluginXml(java.io.File descriptor)

  Generates the plugin.xml file for the plugin descriptor
  Parameters:
    `descriptor` - The descriptor
  Returns:
    The plugin properties

### getAnt

    groovy.util.AntBuilder getAnt()

### getBasedir

    java.io.File getBasedir()

### getResourcesDir

    java.io.File getResourcesDir()

### packageBinary

    java.lang.String packageBinary(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)

### packagePlugin

    java.lang.Object packagePlugin(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)

### packageSource

    java.lang.String packageSource(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)

### runResourcesClosure

    protected void runResourcesClosure(java.io.File stagingDir)

  ", "*

### setAnt

    void setAnt(groovy.util.AntBuilder ant)

### setResourcesDir

    void setResourcesDir(java.io.File resourcesDir)

Groovy Documentation